
Redmine - Defect #5590

Redmine does not start

2010-05-25 10:30 - Alfredo Bonilla

Status: Closed Start date: 2010-05-25

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I just write this info for avoiding that somebody else loses as much time as I have wasted in this issue.

Situation. Suddenly, the application does not start. All services up and running (Apache, MySql, Mongrel...), everything seems to be

in its right place but when you try to access to redmine you receive following errors directly in browser or in apache log files:

502 proxy error

The proxy server could not handle the request GET /redmine/.

Testing httpd.conf....Errors reported here must be corrected before the service can be started

Reason: Error reading from remote server

There is no trace in redmine log files about what is happening.

SOLUTION: review configuration language files. In my case, en.yml included in plugin had an error. It happens too if the

redmine/config/locales/en.yml (if using English) has some error, like a quote not closed.

To Consider: Where could be found some track about the incident? redmine? rails?

History

#1 - 2010-05-25 12:00 - Felix Schäfer

- Status changed from New to Closed

- Resolution set to Invalid

Errors are in the rails logs, i.e. per default redmine_dir/logs/production.log or development.log (depending on your environment).

#2 - 2010-05-25 14:21 - Alfredo Bonilla

Felix Schäfer wrote:

Errors are in the rails logs, i.e. per default redmine_dir/logs/production.log or development.log (depending on your environment).

 Just to clarify. Nothing appeared in the redmine logs. I guess you can reproduce it quite easy. I have redmine 0.9.3 installed. Just delete an ending

quote in the en.yml file.

What I have... special... is that I installed redmine in windows by using "Bitnami RubyStack"

#3 - 2010-07-23 13:03 - Alfredo Bonilla

Just to find my own errors... again, Redmine does not start... and there is no clue about what happens.

After looking at the modified files, I saw the database.yml file modified. Maybe a plugin, maybe something related to Netbeans project configuration.

Seriously, don't know.

Anyway, the name of the production database was wrong. An ending _production string was added to the name. Once removed, Redmine started

correctly.

#4 - 2011-10-25 12:53 - Absolom Ness

SPAM
